#!/usr/bin/perl -w

use strict;

my %data;

foreach my $file (@ARGV)
{
    open(F, $file) or die;

    while( my $ln = <F> )
    {
        chomp($ln);
        next if $ln !~ /^# nodes/;

        my @fields = split(/ /,$ln);

        print "# nodes: $fields[2] ";
        print "throughputVO: $fields[6] $fields[8] ";
        print "throughputVI: $fields[10] $fields[12] ";
        print "throughputBE: $fields[14] $fields[16] ";
        print "throughputBK: $fields[18] $fields[20] ";
        print "\n";

        $data{$fields[2]} = [$fields[6], $fields[8],
                             $fields[10], $fields[12],
                             $fields[14], $fields[16],
                             $fields[18], $fields[20]];
    }

    close(F);
}

foreach my $n (0,2,4,6)
{
    foreach my $nodenum (sort { $a <=> $b } keys %data)
    {
        print $nodenum." ";
        print $data{$nodenum}[$n+0]." ";
        print $data{$nodenum}[$n+1]."\n";
    }
    print "\n\n";
}
