
set terminal pdf
set output "three-nodes-capture.pdf"

set xlabel "Distance of Node 1 (m)"
set ylabel "Packet Send Time Delta (us)"
#set yrange [0:500]
set key bottom right

set style fill transparent solid 0.5 noborder

set title "Three Wireless Nodes - Reception on Node 0 of Packets from Node 1 (Moving Nearer Sender)"

plot 'three-nodes-capture.border1' index 0 using 1:($2 * 1e6) title 'Impossible due to CSMA' with filledcurve lc rgb 'red', \
     'three-nodes-capture.border2' index 0 using 1:($2 * 1e6) title 'Received Always' with filledcurve lc rgb 'blue', \
     'three-nodes-capture.border3' index 0 using 1:($2 * 1e6) title 'Received with Preamble Capture' with filledcurve lc rgb 'green', \
     'three-nodes-capture.border4' index 0 using 1:($2 * 1e6) title 'Received with Data Capture' with filledcurve lc rgb 'yellow'

set title "Three Wireless Nodes - Reception on Node 0 of Packets from Node 2 (Non-moving Interferer)"

plot 'three-nodes-capture.border1' index 1 using 1:($2 * 1e6) title 'Impossible due to CSMA' with filledcurve lc rgb 'red', \
     'three-nodes-capture.border2' index 1 using 1:($2 * 1e6) title 'Received Always' with filledcurve lc rgb 'orange'
